Subject: [MMUSIC] Re: RTSP: Speed header

From: lazzaro <[email-masked]>
Date: Thu, 26 Apr 2007 09:33:05 -0700

On Apr 26, 2007, at 6:45 AM, Magnus Westerlund  
<[email-masked]> wrote:

> There are some cases where progressive download is a simple  
> solution to the problem. However, progressive download are in many  
> cases lousy for fast forward, jumping etc unless you download the  
> file very fast and then do all these tricks locally.

One nice solution here is to:

(1) require content creators to specify "chapters" in the content.

(2) Using TCP, pre-buffer the first few RTTs of each chapter
in the client, as a background process (or perhaps during startup).

(3) Present a UI to the user that permits skipping to chapter
start positions, as opposed to an arbitrary point in the stream.

When implemented, when a user skips to a new chapter, the program
material starts playing immediately from the pre-buffered start of the
chapter. By the time the buffer has been exhausted the stream of
the chapter is flowing from the server.  Musical instrument designers
might recognize this architecture from hard-disk based sample playback.

Of course, actually bringing this concept to RTSP 2.0 would require
a lot of work ... personally, I wouldn't trust a protocol design for
this that didn't have a working prototype, this is the sort of thing
that is hard to get right on paper, you have to write code.

---
John Lazzaro
http://www.cs.berkeley.edu/~lazzaro
lazzaro [at] cs [dot] berkeley [dot] edu
---

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic